%define upstream_name Unicode-CheckUTF8
%define upstream_version 1.03

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 23

Summary:	Checks if scalar is valid UTF-8
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Checks if scalar is valid UTF-8.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.yml
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.30.0-23.mga10
+ Revision: 2088249
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.30.0-22.mga10
+ Revision: 2010542
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.30.0-21.mga9
+ Revision: 1862547
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.30.0-20.mga9
+ Revision: 1796138
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.30.0-19.mga9
+ Revision: 1727203
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.30.0-18.mga8
+ Revision: 1595289
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.30.0-17.mga8
+ Revision: 1530144
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.30.0-16.mga8
+ Revision: 1433933
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.30.0-15.mga7
+ Revision: 1293902
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.30.0-14.mga7
+ Revision: 1249908
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.30.0-13.mga7
+ Revision: 1167220
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.30.0-12.mga7
+ Revision: 1149403
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.30.0-11.mga7
+ Revision: 1127459
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-10.mga6
+ Revision: 1035436
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.30.0-9.mga6
+ Revision: 958142
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.30.0-8.mga6
+ Revision: 845434
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.30.0-7.mga6
+ Revision: 841302
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-6.mga5
+ Revision: 739319
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.30.0-5.mga5
+ Revision: 732582
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 686783
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.30.0-3.mga5
+ Revision: 631822
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 1.30.0-2.mga4
+ Revision: 537174
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.30.0-1.mga4
+ Revision: 486466
- imported package perl-Unicode-CheckUTF8

